#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname	gpg
%define		locdoc	%{_defaultdocdir}/%{name}-%{version}
#-----------------------------------------------------------------------------
Name		:	gnupg
Version		:	2.4.6
Release		:	17.2.38.rel%{?dist}
Summary		:	Utility for secure communication and data storage
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+ and GPLv3+
URL		:	https://www.gnupg.org/ftp/gcrypt/gnupg

Source0		:	%{name}-%{version}.tar.bz2
#-----------------------------------------------------------------------------
BuildRequires	:	libassuan
BuildRequires	:	libgcrypt
BuildRequires	:	libksba-devel
BuildRequires	:	libgpg-error
BuildRequires	:	npth
BuildRequires	:	sqlite

Requires	:	libgcrypt	>=	1.9.1
Requires	:	libgpg-error	>=	1.46
#-----------------------------------------------------------------------------
%description
GnuPG is GNU's tool for secure communication and data storage.  It can
be used to encrypt data and to create digital signatures.  It includes
an advanced key management facility and is compliant with the proposed
OpenPGP Internet standard as described in RFC2440 and the S/MIME
standard as described by several RFCs.

GnuPG 2.0 is a newer version of GnuPG with additional support for
S/MIME.  It has a different design philosophy that splits
functionality up into several modules. The S/MIME and smartcard
functionality is provided by the gnupg2-smime package.

#-----------------------------------------------------------------------------
%files			-f %{name}2.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README THANKS
%config(noreplace) %{_sysconfdir}/%{name}/gpgconf.conf
%{_bindir}/%{sname}*
#{_bindir}/dirmngr*
%{_bindir}/kbxutil
%{_bindir}/watchgnupg
%{_sbindir}/addgnupghome
%{_sbindir}/applygnupgdefaults
%{_libexecdir}/%{sname}-*
%{_libexecdir}/scdaemon
#{_libexecdir}/dirmngr_ldap
%{_libexecdir}/keyboxd
%{_datadir}/%{name}/help.*
%{_datadir}/info/%{name}.info*.gz
%{_datadir}/%{name}/distsigkey.gpg
%{_defaultdocdir}/%{name}-%{version}/DCO
%{_defaultdocdir}/%{name}-%{version}/DETAILS
%{_defaultdocdir}/%{name}-%{version}/FAQ
%{_defaultdocdir}/%{name}-%{version}/HACKING
%{_defaultdocdir}/%{name}-%{version}/KEYSERVER
%{_defaultdocdir}/%{name}-%{version}/OpenPGP
%{_defaultdocdir}/%{name}-%{version}/TRANSLATE
%{_defaultdocdir}/%{name}-%{version}/examples/*
%{_defaultdocdir}/%{name}-%{version}/html/*.html
%{_defaultdocdir}/%{name}-%{version}/*.texi
%{_defaultdocdir}/%{name}-%{version}/%{name}.txt
%{_mandir}/man1/*.1.gz
%{_mandir}/man7/*.7.gz
%{_mandir}/manh/%{name}.7.html.gz
%{_mandir}/man8/*.8.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-ldap					\
	--disable-static				\
	--enable-large-secmem				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

makeinfo						\
	--html						\
	--no-split					\
	-o doc/gnupg_nochunks.html			\
	doc/gnupg.texi
	
makeinfo						\
	--plaintext					\
	-o doc/gnupg.txt				\
	doc/gnupg.texi

%{__make} -C doc html

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
# need scratch gpg database for tests
%{__mkdir_p} $HOME/.gnupg
%{__make} -k check

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}


%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%{__mkdir_p} %{buildroot}%{_sysconfdir}/%{name}
touch %{buildroot}%{_sysconfdir}/%{name}/gpgconf.conf

#installing package documentation
%{__mkdir_p}						\
	%{buildroot}%{locdoc}/html
%{__cp} -a						\
	doc/gnupg_nochunks.html				\
	doc/gnupg.html/*				\
	%{buildroot}%{locdoc}/html
%{__cp} -a						\
	doc/*.texi					\
	doc/gnupg.txt					\
	%{buildroot}%{locdoc}
	

#cleaning empty directory
%{__rm}  %{buildroot}/%{_datadir}/info/dir

%find_lang %{name}2
#-----------------------------------------------------------------------------
%changelog
